/// <reference types="pcore-pconnect-typedefs" />
import { OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { AngularPConnectData, AngularPConnectService } from '../../../_bridge/angular-pconnect';
import { PConnFieldProps } from '../../../_types/PConnProps.interface';
import * as i0 from "@angular/core";
interface GroupProps extends PConnFieldProps {
    showHeading: boolean;
    heading: string;
    instructions: string;
    collapsible: boolean;
}
export declare class GroupComponent implements OnInit {
    private angularPConnect;
    pConn$: typeof PConnect;
    formGroup$: FormGroup;
    arChildren$: any[];
    visibility$?: boolean;
    showHeading$?: boolean;
    heading$: string;
    instructions$: string;
    collapsible$: boolean;
    angularPConnectData: AngularPConnectData;
    configProps$: GroupProps;
    constructor(angularPConnect: AngularPConnectService);
    ngOnInit(): void;
    onStateChange(): void;
    checkAndUpdate(): void;
    updateSelf(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GroupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GroupComponent, "app-group", never, { "pConn$": { "alias": "pConn$"; "required": false; }; "formGroup$": { "alias": "formGroup$"; "required": false; }; }, {}, never, never, true, never>;
}
export {};
