/// <reference types="pcore-pconnect-typedefs" />
import { OnDestroy, OnInit } from '@angular/core';
import { FormControl, FormGroup } from '@angular/forms';
import { AngularPConnectData, AngularPConnectService } from '../../../_bridge/angular-pconnect';
import { Utils } from '../../../_helpers/utils';
import * as i0 from "@angular/core";
export declare class MultiselectComponent implements OnInit, OnDestroy {
    private angularPConnect;
    private utils;
    pConn$: typeof PConnect;
    formGroup$: FormGroup;
    angularPConnectData: AngularPConnectData;
    label$: string;
    value$: string;
    bRequired$: boolean;
    bDisabled$: boolean;
    bVisible$: boolean;
    controlName$: string;
    bHasForm$: boolean;
    listType: string;
    placeholder: string;
    fieldControl: FormControl<string | null>;
    parameters: {};
    hideLabel: boolean;
    configProps$: any;
    referenceList: any;
    selectionKey: string;
    primaryField: string;
    initialCaseClass: any;
    showSecondaryInSearchOnly: boolean;
    isGroupData: boolean;
    referenceType: any;
    secondaryFields: any;
    groupDataSource: never[];
    matchPosition: string;
    maxResultsDisplay: any;
    groupColumnsConfig: {}[];
    selectionList: any;
    listActions: any;
    selectedItems: any[];
    itemsTreeBaseData: never[];
    displayFieldMeta: any;
    dataApiObj: any;
    itemsTree: any[];
    trigger: any;
    actionsApi: Object;
    propName: string;
    constructor(angularPConnect: AngularPConnectService, utils: Utils);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onStateChange(): void;
    checkAndUpdate(): void;
    updateSelf(): void;
    setPropertyValuesFromProps(): void;
    getCaseListBasedOnParams(searchText: any, group: any, selectedRows: any, currentItemsTree: any, isTriggeredFromSearch?: boolean): void;
    fieldOnChange(event: Event): void;
    optionChanged(event: any): void;
    optionClicked: (event: Event, data: any) => void;
    toggleSelection: (data: any) => void;
    removeChip: (data: any) => void;
    setSelectedItemsForReferenceList(data: any): void;
    getErrorMessage(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<MultiselectComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MultiselectComponent, "app-multiselect", never, { "pConn$": { "alias": "pConn$"; "required": false; }; "formGroup$": { "alias": "formGroup$"; "required": false; }; }, {}, never, never, true, never>;
}
