/// <reference types="pcore-pconnect-typedefs" />
import { OnDestroy, OnInit } from '@angular/core';
import { FormControl, FormGroup } from '@angular/forms';
import { AngularPConnectData, AngularPConnectService } from '../../../_bridge/angular-pconnect';
import { PConnFieldProps } from '../../../_types/PConnProps.interface';
import * as i0 from "@angular/core";
interface ScalarListProps extends Omit<PConnFieldProps, 'value'> {
    displayInModal: boolean;
    value: any[];
    componentType: string;
    restProps?: object;
}
export declare class ScalarListComponent implements OnInit, OnDestroy {
    private angularPConnect;
    pConn$: typeof PConnect;
    formGroup$: FormGroup;
    angularPConnectData: AngularPConnectData;
    configProps$: ScalarListProps;
    label$: string;
    value$: any;
    displayMode$?: string;
    items: any[];
    isDisplayModeEnabled: boolean;
    controlName$: string;
    fieldControl: FormControl<string | null>;
    bHasForm$: boolean;
    bReadonly$: boolean;
    constructor(angularPConnect: AngularPConnectService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onStateChange(): void;
    checkAndUpdate(): void;
    updateSelf(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ScalarListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ScalarListComponent, "app-scalar-list", never, { "pConn$": { "alias": "pConn$"; "required": false; }; "formGroup$": { "alias": "formGroup$"; "required": false; }; }, {}, never, never, true, never>;
}
export {};
