/// <reference types="pcore-pconnect-typedefs" />
import { OnInit, OnDestroy } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { AngularPConnectData, AngularPConnectService } from '../../../_bridge/angular-pconnect';
import { Utils } from '../../../_helpers/utils';
import { PConnFieldProps } from '../../../_types/PConnProps.interface';
import * as i0 from "@angular/core";
interface SemanticLinkProps extends PConnFieldProps {
    text: string;
}
export declare class SemanticLinkComponent implements OnInit, OnDestroy {
    private angularPConnect;
    private utils;
    pConn$: typeof PConnect;
    formGroup$: FormGroup;
    angularPConnectData: AngularPConnectData;
    configProps$: SemanticLinkProps;
    label$: string;
    value$: string;
    displayMode$?: string;
    bVisible$: boolean;
    constructor(angularPConnect: AngularPConnectService, utils: Utils);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onStateChange(): void;
    updateSelf(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SemanticLinkComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SemanticLinkComponent, "app-semantic-link", never, { "pConn$": { "alias": "pConn$"; "required": false; }; "formGroup$": { "alias": "formGroup$"; "required": false; }; }, {}, never, never, true, never>;
}
export {};
