/// <reference types="pcore-pconnect-typedefs" />
import { OnInit, NgZone, OnDestroy } from '@angular/core';
import { Subscription } from 'rxjs';
import { AngularPConnectData, AngularPConnectService } from '../../../_bridge/angular-pconnect';
import { ProgressSpinnerService } from '../../../_messages/progress-spinner.service';
import * as i0 from "@angular/core";
export declare class RootContainerComponent implements OnInit, OnDestroy {
    private angularPConnect;
    private psService;
    private ngZone;
    pConn$: typeof PConnect;
    displayOnlyFA$: boolean;
    isMashup$: boolean;
    angularPConnectData: AngularPConnectData;
    componentName$: string;
    bIsProgress$: boolean;
    pvConn$: any;
    mConn$: any;
    bShowRoot$: boolean;
    progressSpinnerSubscription: Subscription;
    spinnerTimer: any;
    viewContainerPConn$: any;
    localizedVal: any;
    localeCategory: string;
    constructor(angularPConnect: AngularPConnectService, psService: ProgressSpinnerService, ngZone: NgZone);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onStateChange(): void;
    modalVisibleChanged(isVisible: any): void;
    updateSelf(): void;
    generateViewContainerForNoPortal(): void;
    showHideProgress(bShow: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RootContainerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RootContainerComponent, "app-root-container", never, { "pConn$": { "alias": "pConn$"; "required": false; }; "displayOnlyFA$": { "alias": "displayOnlyFA$"; "required": false; }; "isMashup$": { "alias": "isMashup$"; "required": false; }; }, {}, never, never, true, never>;
}
