/// <reference types="pcore-pconnect-typedefs" />
import { OnInit, ChangeDetectorRef, OnDestroy } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { AngularPConnectData, AngularPConnectService } from '../../../_bridge/angular-pconnect';
import { Utils } from '../../../_helpers/utils';
import * as i0 from "@angular/core";
interface CaseViewProps {
    icon: string;
    subheader: string;
    header: string;
}
export declare class CaseViewComponent implements OnInit, OnDestroy {
    private cdRef;
    private angularPConnect;
    private utils;
    pConn$: typeof PConnect;
    formGroup$: FormGroup;
    angularPConnectData: AngularPConnectData;
    configProps$: CaseViewProps;
    arChildren$: any[];
    heading$: string;
    id$: string;
    status$: string;
    caseTabs$: any[];
    svgCase$: string;
    tabData$: any;
    mainTabs: any;
    mainTabData: any;
    arAvailableActions$: any[];
    arAvailabeProcesses$: any[];
    caseSummaryPConn$: any;
    currentCaseID: string;
    editAction: boolean;
    bHasNewAttachments: boolean;
    localizedVal: any;
    localeCategory: string;
    localeKey: string;
    constructor(cdRef: ChangeDetectorRef, angularPConnect: AngularPConnectService, utils: Utils);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onStateChange(): void;
    checkAndUpdate(): void;
    hasCaseIDChanged(): boolean;
    updateHeaderAndSummary(): void;
    fullUpdate(): void;
    generateTabsData(): void;
    updateSelf(): void;
    onTabClick(tab: any): void;
    _editClick(): void;
    _menuActionClick(data: any): void;
    _menuProcessClick(data: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CaseViewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CaseViewComponent, "app-case-view", never, { "pConn$": { "alias": "pConn$"; "required": false; }; "formGroup$": { "alias": "formGroup$"; "required": false; }; }, {}, never, never, true, never>;
}
export {};
