/// <reference types="pcore-pconnect-typedefs" />
import { OnDestroy, OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { AngularPConnectData, AngularPConnectService } from '../../../_bridge/angular-pconnect';
import * as i0 from "@angular/core";
export declare class DynamicTabsComponent implements OnInit, OnDestroy {
    private angularPConnect;
    pConn$: typeof PConnect;
    formGroup$: FormGroup;
    angularPConnectData: AngularPConnectData;
    tabsItems: any[];
    propsToUse: any;
    constructor(angularPConnect: AngularPConnectService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onStateChange(): void;
    checkAndUpdate(): void;
    updateSelf(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DynamicTabsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DynamicTabsComponent, "app-dynamic-tabs", never, { "pConn$": { "alias": "pConn$"; "required": false; }; "formGroup$": { "alias": "formGroup$"; "required": false; }; }, {}, never, never, true, never>;
}
