/// <reference types="pcore-pconnect-typedefs" />
import { OnInit, SimpleChanges, OnChanges } from '@angular/core';
import { FormGroup, FormBuilder } from '@angular/forms';
import * as i0 from "@angular/core";
interface InlineDashboardPageProps {
    title: string;
    icon?: string;
    filterPosition?: string;
}
export declare class InlineDashboardPageComponent implements OnInit, OnChanges {
    private fb;
    pConn$: typeof PConnect;
    configProps$: InlineDashboardPageProps;
    filterComponents: any;
    inlineProps: any;
    children: any;
    filtersFormGroup$: FormGroup;
    constructor(fb: FormBuilder);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    updateSelf(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<InlineDashboardPageComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InlineDashboardPageComponent, "app-inline-dashboard-page", never, { "pConn$": { "alias": "pConn$"; "required": false; }; }, {}, never, never, true, never>;
}
export {};
