/// <reference types="pcore-pconnect-typedefs" />
import { OnInit } from '@angular/core';
import { MatTableDataSource } from '@angular/material/table';
import { Utils } from '../../../_helpers/utils';
import * as i0 from "@angular/core";
interface CaseHistoryProps {
    label?: string;
}
export declare class CaseHistoryComponent implements OnInit {
    private utils;
    pConn$: typeof PConnect;
    configProps$: CaseHistoryProps;
    repeatList$: MatTableDataSource<any>;
    fields$: any[];
    displayedColumns$: any[];
    waitingForData: boolean;
    constructor(utils: Utils);
    ngOnInit(): void;
    updateData(listData: any[], fieldData: any[]): any[];
    getDisplayColumns(fields?: any[]): any[];
    static ɵfac: i0.ɵɵFactoryDeclaration<CaseHistoryComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CaseHistoryComponent, "app-case-history", never, { "pConn$": { "alias": "pConn$"; "required": false; }; }, {}, never, never, true, never>;
}
export {};
