/// <reference types="pcore-pconnect-typedefs" />
import { OnInit, OnDestroy } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { AngularPConnectData, AngularPConnectService } from '../../../_bridge/angular-pconnect';
import * as i0 from "@angular/core";
export declare class SimpleTableSelectComponent implements OnInit, OnDestroy {
    private angularPConnect;
    pConn$: typeof PConnect;
    formGroup$: FormGroup;
    angularPConnectData: AngularPConnectData;
    label: string;
    renderMode: string;
    showLabel: boolean;
    viewName: string;
    parameters: {};
    dataRelationshipContext: string;
    propsToUse: any;
    showSimpleTableManual: boolean;
    isSearchable: boolean;
    filters: any;
    listViewProps: any;
    pageClass: any;
    constructor(angularPConnect: AngularPConnectService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onStateChange(): void;
    updateSelf(): void;
    processFiltrers(theConfigProps: any, compositeKeys: any): void;
    isSelfReferencedProperty(param: any, referenceProp: any): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<SimpleTableSelectComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SimpleTableSelectComponent, "app-simple-table-select", never, { "pConn$": { "alias": "pConn$"; "required": false; }; "formGroup$": { "alias": "formGroup$"; "required": false; }; }, {}, never, never, true, never>;
}
